
//------------------------------------------------------------------------------
// <auto-generated>
// This code was generated by ScriptForge. To rebuild the code go to 
// Window->Script Forge and on that window hit generate. 
// </auto-generated>
//------------------------------------------------------------------------------

	/// <summary>
	/// Generates a wrapper for Layers.
	/// </summary>
	public static partial class Layers
	{

		/// <summary>
		/// Bitwise values are used any layer masking. For example ( Default | TransparentFX ) 
		/// </summary>
		public static class Bitwise
		{
				public static readonly int Default = 1 << Integer.Default;
				public static readonly int TransparentFX = 1 << Integer.TransparentFX;
				public static readonly int Ignore_Raycast = 1 << Integer.Ignore_Raycast;
				public static readonly int Water = 1 << Integer.Water;
				public static readonly int UI = 1 << Integer.UI;
				public static readonly int PfxVolumes = 1 << Integer.PfxVolumes;
				public static readonly int bots = 1 << Integer.bots;
				public static readonly int ground = 1 << Integer.ground;
				public static readonly int airplane = 1 << Integer.airplane;
				public static readonly int tracker = 1 << Integer.tracker;
				public static readonly int box = 1 << Integer.box;
				public static readonly int GlobalProjectorLayer = 1 << Integer.GlobalProjectorLayer;
			}

		/// <summary>
		/// Integer values are used any layer checking.
		/// </summary>
		public static class Integer
		{
				public static readonly int Default = 0;
				public static readonly int TransparentFX = 1;
				public static readonly int Ignore_Raycast = 2;
				public static readonly int Water = 3;
				public static readonly int UI = 4;
				public static readonly int PfxVolumes = 5;
				public static readonly int bots = 6;
				public static readonly int ground = 7;
				public static readonly int airplane = 8;
				public static readonly int tracker = 9;
				public static readonly int box = 10;
				public static readonly int GlobalProjectorLayer = 11;
			}

	}
